Bug 150981 - Unpackaged files for bind if sdb and libbind are disabled
Unpackaged files for bind if sdb and libbind are disabled
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: bind (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Vas Dias
Ben Levenson
: EasyFix
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-13 07:15 EST by Robert Scheck
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 9.3.1-2_FC4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-15 15:09:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Scheck 2005-03-13 07:15:17 EST
Description of problem:
Unpackaged files for bind if sdb and libbind are disabled.

Version-Release number of selected component (if applicable):
bind-9.3.1-1

How reproducible:
Everytime, see below.

Steps to Reproduce:
1. Set in bind.spec:
%{?!SDB:    %define SDB         0}
%{?!LIBBIND:%define LIBBIND     0}
2. rpmbuild -ba bind.spec
3. Get the list of unpackaged files.
  
Actual results / Expected results:
Replace:
  gunzip < %{SOURCE9} | (cd $RPM_BUILD_ROOT/usr/share; tar -xpf -)
by
  %if %{LIBBIND}
  gunzip < %{SOURCE9} | (cd $RPM_BUILD_ROOT/usr/share; tar -xpf -)
  %endif
and rebuilding should work both times.
Comment 1 Jason Vas Dias 2005-03-13 14:21:19 EST
Oops! Yes, you are right, that line should be conditional on %{LIBBIND}.
I will make it so in the next version.

But it doesn't really make any difference: the bind, bind-libs, bind-utils,
bind-devel and bind-chroot packages obtained are identical with or without
%{LIBBIND} and/or %{SDB} enabled or disabled - just don't install the 
bind-sdb or bind-libbind-devel packages if you don't want them .  The 
bind-sdb package provides /usr/sbin/named_sdb, leaving the /usr/sbin/named
unchanged, and no BIND code uses libbind in any case. 

Why do you need to rebuild the BIND package ? If you need to install 
BIND 9.3.1 on an FC3 system, they are avaiable in pre-built form at:
  http://people.redhat.com/~jvdias/BIND/9.3.1/FC-3

 
Comment 2 Robert Scheck 2005-03-13 15:51:37 EST
I rebuilt the bind package for a special and absolutely non-supported system 
environment, which hasn't postgresql(-devel) for example. Otherwise I wouldn't 
have notice this small mistake. And - if it is conditional - it maybe should 
also work ;-)
Comment 3 Robert Scheck 2005-04-15 15:09:52 EDT
Fix was built in Rawhide today, closing now.

Note You need to log in before you can comment on or make changes to this bug.